Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Remove a market from a warehouse

Removes the association between a specific market and warehouse. The market itself is not deleted, only its relationship to the warehouse.

DELETE/api/v1/{team_slug}/{app_slug}/warehouses/{warehouse_slug}/market/{market_slug}
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
warehouse_slugstringrequired

Warehouse slug

market_slugstringrequired

Market slug

app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Responses
200

Updated warehouse data

datainternal_pkg_webserver_v1.WarehouseWithMarketsrequired
Show properties
addressinternal_pkg_webserver_v1.WarehouseAddress | null
Show properties
Any of:
internal_pkg_webserver_v1.WarehouseAddress
citystring
countrystringrequired

Country value needs to follow ISO3166_1_alpha2, which means we want a country value written in alpha-2 two-letter country codes, Example: SE or FI

postal_codestring
statestring
street_addressstring
null
null
app_idstring
available_onlineboolean
created_atstring
idstring
marketsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Market[] | null
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Market
activeboolean
country_codesstring[] | null
created_atstring
currency_codestring
idstring
localestring
namestring
slugstring
updated_atstring | null
namestring
slugstring
updated_atstring | null
detailsstring[]

Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes

successbooleanrequired
400

Invalid request (e.g. bad UUID, validation error)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X DELETE 'https://api.enad.io/api/v1/string/string/warehouses/string/market/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "address": {
      "city": "string",
      "country": "string",
      "postal_code": "string",
      "state": "string",
      "street_address": "string"
    },
    "app_id": "string",
    "available_online": true,
    "created_at": "string",
    "id": "string",
    "markets": [
      {
        "active": true,
        "country_codes": [
          "string"
        ],
        "created_at": "string",
        "currency_code": "string",
        "id": "string",
        "locale": "string",
        "name": "string",
        "slug": "string",
        "updated_at": "string"
      }
    ],
    "name": "string",
    "slug": "string",
    "updated_at": "string"
  },
  "details": [
    "string"
  ],
  "success": true
}